/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.deployment;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * not parent first class loader
 * load class only from the J2EE component scope and Thread.current scope
 * so will not make class confuse
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class J2EEClassLoader extends URLClassLoader {

    public J2EEClassLoader(URL[] urls) {
        this(urls, J2EEClassLoader.class.getClassLoader());
    }

    public J2EEClassLoader(URL[] urls, ClassLoader parent) {
        super(urls, parent);
    }

    public void addURL(URL url) {
        super.addURL(url);
    }

}

